Subject: Re: [rmcat] Last Call: <draft-ietf-rmcat-wireless-tests-08.txt>

From: "Xiaoqing Zhu (xiaoqzhu)" <[email-masked]>
Date: Thu, 27 Feb 2020 17:51:23 +0000

Hi Mirja, 

Thanks a lot for your review of the draft. We've just uploaded a new revision (-09) to accommodate your comments. Please also see our responses inline below.

https://tools.ietf.org/html/draft-ietf-rmcat-wireless-tests-09

Let us know if you have any additional thoughts/comments. 

Cheers,
Xiaoqing, on behalf of all authors

On 1/7/20, 9:56 AM, "rmcat on behalf of Mirja Kuehlewind" <[email-masked] on behalf of [email-masked]> wrote:

    Hi authors,
    
    As you can see below I just requested IETF last call for draft-ietf-rmcat-wireless-tests. In my AD review I didn’t find anything important that needs to be addressed before IETF last call, so I didn’t send a separate AD review mail this time, however, I have a couple of small comments about reference that should be addressed before IESG evaluation:
    
    - It seems like [I-D.ietf-rmcat-eval-test] should be a normative reference the way it is cited in section 3.2.1.

[authors] Good point. This reference is now moved to the normative section.
    
    - Then, the notation "3GPP case 1 [Deployment]” in section 3.1.2 as well as similarity used in section 3.2.2 is quite confusing as squared brackets are also used for options. I recommend to rename the referent to e.g HO-deploy-3GPP and maybe even write then "3GPP case 1 (see [HO-deploy-3GPP])”.

[authors]  Agree.  Revised accordingly.
    
    - However, the other 3GPP reference probably don’t need to be normative as they only provide further information about mechanism that impact cellular network but don’t need to be known in detail to perform these tests, while the reference to IEEE802.11 maybe should be normative…?

[authors] Agree. The other 3GPP references are now in the informative section. The reference to IEEE802.11 is now normative.
    
    - There are two different references to ns-3. Please only use one!

[authors]. Thanks for catching this — an artifact from co-authors working on different parts of this draft.  The reference is now consolidated, and the information of both NS-2 and NS-3 has been updated to stay consistent with those in the recently published RFC 8698.

    - I don’t think the reference to RFC2914 necessarily needs to be normative.

[authors] Agree. Moved to informative instead.
    
    Also as usually when reviewing a document I of course have some more comments, however, they are mostly editorial:
    
    - Some of the Wi-Fi acronym are not spelled out or explained, e.g. MCS and EDCA/WMM. Maybe a few more sentences can be added to intro part in section 4.

[authors] Thanks for pointing this out. We've revised the sentence in the intro part of Sec. 4 to fully spell out EDCA (Enhanced Distributed Channel Access) and WMM (Wi-Fi Multi-Media) separately. The draft now introduces the full term before adding the acronym in the bracket. The draft now contains some explanation for MCS (Modulation and Coding Scheme) in the sub-paragraph starting with “The IEEE 802.11 standard (i.e., Wi-Fi) supports multi-rate transmission capabilities  …”.

    - The conclusion section is actually not needed/not a common thing, so I recommend just removing it.
    
[author] OK. Removed.

    - also in sec 4:
    "All test cases described below can be carried out using simulations, e.g. based on [ns-2] or [ns-3].”
    This should probably say some like “are recommended to be carried out using simulations” (similar as phrased at the end of the intro text in sec 3).
    
[authors] Good suggestion. The sentence is revised accordingly, as “We recommend to carry out the test cases as defined in this document using a simulator, such as [NS-2] or [NS-3]. ”

    - In section 3:
    "Even though 3GPP
       define QoS bearers [QoS-3GPP] to ensure high-quality user experience,
       adaptive real-time applications are desired.”
    Is desired the right word here? What do you mean?

[authors]  Thanks for pointing out this confusion. The text is now revised to “Even though 3GPP define QoS bearers [QoS-3GPP] to ensure high-quality user experience, it is still preferable to real-time applications to behave in an adaptive manner.”
    
    Thanks!
    Mirja

    > On 7. Jan 2020, at 18:50, DraftTracker Mail System <[email-masked]> wrote:
    > 
    > 
    > Last Call Request has been submitted for
    > <draft-ietf-rmcat-wireless-tests-08.txt>
    > 
    > https://datatracker.ietf.org/doc/draft-ietf-rmcat-wireless-tests/
    >

---

From: Colin Perkins <[email-masked]>
Date: Thu, 27 Feb 2020 18:52:40 +0000

Thanks for the update!
Colin

> On 27 Feb 2020, at 17:51, Xiaoqing Zhu (xiaoqzhu) <[email-masked]> wrote:
> 
> Hi Mirja, 
> 

-- 
Colin Perkins
https://csperkins.org/